loci.formats.in

## Class SlideBook7Reader.CRatioManipRecord70

- java.lang.Object
- - loci.formats.in.SlideBook7Reader.ClassDecoder
  - - loci.formats.in.SlideBook7Reader.CRatioManipRecord70

- Enclosing class:
    SlideBook7Reader

      class SlideBook7Reader.CRatioManipRecord70
      extends SlideBook7Reader.ClassDecoder

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.Integer` | `mBackX1`
    `java.lang.Integer` | `mBackX2`
    `java.lang.Integer` | `mBackY1`
    `java.lang.Integer` | `mBackY2`
    `java.lang.Float` | `mBeta`
    `java.lang.Integer` | `mByteOrdering`
    `java.lang.Integer` | `mDenBackground`
    `java.lang.Integer` | `mDenMax`
    `java.lang.Integer` | `mDenMin`
    `java.lang.Float` | `mExposureFactor`
    `java.lang.Float` | `mKd`
    `java.lang.Integer` | `mManipID`
    `java.lang.Integer` | `mNumBackground`
    `java.lang.Integer` | `mNumMax`
    `java.lang.Integer` | `mNumMin`
    `java.lang.Float` | `mRhigh`
    `java.lang.Float` | `mRlow`
    `java.lang.Float` | `mRmax`
    `java.lang.Float` | `mRmin`
    `java.lang.Integer` | `mStructID`
    `java.lang.Integer` | `mStructLen`
    `java.lang.Integer` | `mStructVersion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CRatioManipRecord70()`

  - ### Method Summary

    - ### Methods inherited from class loci.formats.in.SlideBook7Reader.ClassDecoder

      `Decode, Decode, DecodeUnknownString, FindNextClass, GetDoubleArray, GetFloatArray, GetIntegerArray, GetIntegerValue, GetLongArray, GetSBClassName, GetStringArray, GetStringValue, RestoreSpecialCharacters`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mStructID

          public java.lang.Integer mStructID

    - #### mStructVersion

          public java.lang.Integer mStructVersion

    - #### mByteOrdering

          public java.lang.Integer mByteOrdering

    - #### mStructLen

          public java.lang.Integer mStructLen

    - #### mManipID

          public java.lang.Integer mManipID

    - #### mKd

          public java.lang.Float mKd

    - #### mRmin

          public java.lang.Float mRmin

    - #### mRmax

          public java.lang.Float mRmax

    - #### mBeta

          public java.lang.Float mBeta

    - #### mRlow

          public java.lang.Float mRlow

    - #### mRhigh

          public java.lang.Float mRhigh

    - #### mNumBackground

          public java.lang.Integer mNumBackground

    - #### mDenBackground

          public java.lang.Integer mDenBackground

    - #### mExposureFactor

          public java.lang.Float mExposureFactor

    - #### mBackX1

          public java.lang.Integer mBackX1

    - #### mBackY1

          public java.lang.Integer mBackY1

    - #### mBackX2

          public java.lang.Integer mBackX2

    - #### mBackY2

          public java.lang.Integer mBackY2

    - #### mNumMin

          public java.lang.Integer mNumMin

    - #### mNumMax

          public java.lang.Integer mNumMax

    - #### mDenMin

          public java.lang.Integer mDenMin

    - #### mDenMax

          public java.lang.Integer mDenMax

  - ### Constructor Detail

    - #### CRatioManipRecord70

          CRatioManipRecord70()

Copyright © 2026 Open Microscopy Environment